summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-12-20 19:26:24 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-12-20 19:26:24 +0000
commit68f28569389793d0fc49ca47cb064dc4320905b2 (patch)
treecc8ae967b61ed87506d12c1231745788194e1979 /dev-python
parentbeb35ef75b8057c696ea15169fded178d0202402 (diff)
downloadbaldeagleos-repo-68f28569389793d0fc49ca47cb064dc4320905b2.tar.gz
baldeagleos-repo-68f28569389793d0fc49ca47cb064dc4320905b2.tar.xz
baldeagleos-repo-68f28569389793d0fc49ca47cb064dc4320905b2.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/aiohttp/aiohttp-3.13.2.ebuild2
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.42.14.ebuild53
-rw-r--r--dev-python/botocore/Manifest1
-rw-r--r--dev-python/botocore/botocore-1.42.14.ebuild67
-rw-r--r--dev-python/docker/Manifest2
-rw-r--r--dev-python/docker/docker-6.1.3.ebuild57
-rw-r--r--dev-python/docker/docker-7.0.0.ebuild56
-rw-r--r--dev-python/flatbuffers/Manifest2
-rw-r--r--dev-python/flatbuffers/files/flatbuffers-24.3.25-numpy-2.patch72
-rw-r--r--dev-python/flatbuffers/flatbuffers-25.12.19.ebuild (renamed from dev-python/flatbuffers/flatbuffers-25.2.10.ebuild)9
-rw-r--r--dev-python/furo/Manifest2
-rw-r--r--dev-python/furo/furo-2025.12.19.ebuild (renamed from dev-python/furo/furo-2025.7.19.ebuild)4
-rw-r--r--dev-python/hcloud/Manifest3
-rw-r--r--dev-python/hcloud/hcloud-2.13.0.ebuild (renamed from dev-python/hcloud/hcloud-2.10.0.ebuild)2
-rw-r--r--dev-python/hcloud/hcloud-2.9.0.ebuild51
-rw-r--r--dev-python/intervaltree/Manifest1
-rw-r--r--dev-python/intervaltree/intervaltree-3.2.0.ebuild22
-rw-r--r--dev-python/langdetect/Manifest2
-rw-r--r--dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch13
-rw-r--r--dev-python/langdetect/langdetect-1.0.9.ebuild4
-rw-r--r--dev-python/langdetect/metadata.xml10
-rw-r--r--dev-python/latexrestricted/latexrestricted-0.6.2.ebuild2
-rw-r--r--dev-python/mecab-python/Manifest1
-rw-r--r--dev-python/mecab-python/files/mecab-python-python3.patch73
-rw-r--r--dev-python/mecab-python/mecab-python-0.996-r1.ebuild33
-rw-r--r--dev-python/nbclient/Manifest1
-rw-r--r--dev-python/nbclient/nbclient-0.10.3.ebuild47
-rw-r--r--dev-python/oslo-log/Manifest2
-rw-r--r--dev-python/oslo-log/oslo-log-8.0.0.ebuild (renamed from dev-python/oslo-log/oslo-log-7.2.0.ebuild)2
-rw-r--r--dev-python/pandas/Manifest2
-rw-r--r--dev-python/pandas/pandas-3.0.0_rc1.ebuild200
-rw-r--r--dev-python/sphinx/Manifest1
-rw-r--r--dev-python/sphinx/sphinx-9.1.0_rc1.ebuild103
-rw-r--r--dev-python/sqlparse/Manifest1
-rw-r--r--dev-python/sqlparse/sqlparse-0.5.5.ebuild23
-rw-r--r--dev-python/testtools/Manifest1
-rw-r--r--dev-python/testtools/testtools-2.8.2.ebuild43
-rw-r--r--dev-python/typer/Manifest4
-rw-r--r--dev-python/typer/typer-0.20.1.ebuild (renamed from dev-python/typer/typer-0.19.2.ebuild)0
-rw-r--r--dev-python/ytmusicapi/Manifest1
-rw-r--r--dev-python/ytmusicapi/ytmusicapi-1.11.4.ebuild24
42 files changed, 626 insertions, 374 deletions
diff --git a/dev-python/aiohttp/aiohttp-3.13.2.ebuild b/dev-python/aiohttp/aiohttp-3.13.2.ebuild
index 8472f75c6834..164938b44911 100644
--- a/dev-python/aiohttp/aiohttp-3.13.2.ebuild
+++ b/dev-python/aiohttp/aiohttp-3.13.2.ebuild
@@ -18,7 +18,7 @@ HOMEPAGE="
LICENSE="Apache-2.0"
SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~loong ~mips ~ppc ~ppc64 ~riscv ~x86"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~x86"
IUSE="+native-extensions test-rust"
DEPEND="
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index b58f494088a9..723f8e1c7bd4 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -4,5 +4,6 @@ DIST boto3-1.41.5.gh.tar.gz 1047828 BLAKE2B c4ff68f8851f56539998186d6dab74d015e5
DIST boto3-1.42.11.gh.tar.gz 1061259 BLAKE2B 1a7b75e646f55fbc88341b454ba9b1bc71cb6e00d0059dc5ee8328c2c5c46afbc9f7eb6355dc5b274d198570fa1d5f92b08fada59b9d7555c2e1096054661630 SHA512 dc24471cc1d26b5567e227bb3b0f824fe805cc00c1e594a6bf034f834e2cdf399fb28834547e24b757a383fad5e955b396f2ebfdf8aba0a835517b04170c9afc
DIST boto3-1.42.12.gh.tar.gz 1062068 BLAKE2B 08dc203567a5b0685d29e7756fda8a36fb2d77f0c9acb7f86261c3afd8beca8b16ecf3f55b8592d39d2c5ec11ee2ada7c2987610c9ca1c673e6a37c6aca49ae1 SHA512 22753bbc1aec670a9ad3e6e8121c882c99c48c8a839a8b8337895f314c72f00e33af9db1ad302060052b38f50e90c93faa482c1a574f19e41d167b47088c8e76
DIST boto3-1.42.13.gh.tar.gz 1063504 BLAKE2B 454a604fcdae80dda1abd9ea0e1e77698c2c3d8cebf12da443294401303ae70a36281d7859de20f24670b5eaacce168061058a17587d8a6e9253750b6079d09b SHA512 e1265ba3773b30050632739df9f26b4f576a8b306582c39bbb3baf23df82eb021b7d4c704030b4fa1a9c97b3e17cea1156941ba7ce96abc04ba3749a0b00dd2f
+DIST boto3-1.42.14.gh.tar.gz 1064304 BLAKE2B 8338168f8acf09e5bd9b4bede0759bc77d40cf9576248346d748636916f351e6324f8e73eddea627da702efd57e70e50cd14830a6a00ffed43166e47f0caa79f SHA512 23c6823c5469647c6ed389ab1dec9ed70fc7aeb5ae8304a68ecef88ce009b5f04aa1b7991e0bc5c7576a5a5cacbf7862ff8b6cea173cd74ccdbeedc0aa97568e
DIST boto3-1.42.4.gh.tar.gz 1055570 BLAKE2B a9990bb04ce59111c6371536692c6e4d5440f3f0dc79e1ecc119652603bcd8bc15839400758999faffd7df9bda9efb4991393fcab32baa16c7a0e51ff7c5cc94 SHA512 95950ba80f31c3951a88237ff5edd1367285c3ab263c7f8ad1b7556d610d553dd4e2021fbbcc0d9bdcf578fe34ad9fcf6231511f54ee71917f69c1cdb6adab28
DIST boto3-1.42.9.gh.tar.gz 1059745 BLAKE2B 78fba4fe807a3ea8eea22cd81cff67c90cd36e281665545bc9d7dc9bfaa1089d668e1994ba6e950eedfe2cfa1495f192b43f8fdae2b9b8b6bd74b62e0ab699d8 SHA512 92ecb0d609ba2f7df6a444b9d840e2a070b22ec38f8ae3bd376e9473e5b4efbefc9bc924046cc6d79576967e33eed270633396171e6102331b58519021435fe8
diff --git a/dev-python/boto3/boto3-1.42.14.ebuild b/dev-python/boto3/boto3-1.42.14.ebuild
new file mode 100644
index 000000000000..b692316316e5
--- /dev/null
+++ b/dev-python/boto3/boto3-1.42.14.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..14} )
+
+inherit distutils-r1
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="
+ https://github.com/boto/boto3/
+ https://pypi.org/project/boto3/
+"
+SRC_URI="
+ https://github.com/boto/boto3/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/botocore-${PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.16.0[${PYTHON_USEDEP}]
+"
+
+EPYTEST_PLUGINS=()
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ epytest tests/{functional,unit}
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index c74d57a5a1fc..ffe516c2e8ab 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -4,5 +4,6 @@ DIST botocore-1.41.5.gh.tar.gz 15519699 BLAKE2B 05c9cd0768013d6e3af76ad9daf8b957
DIST botocore-1.42.11.gh.tar.gz 15735047 BLAKE2B ed5775e0ddc83f3595a6d4197d29ea10745add02cc98b0d2937fe1ee7c3533986a3e565ba39fbce31cb28b37d97b86907dbeb7aaafd126904a23ba48005411a3 SHA512 1b7ad362ff924cac81f3ed41938b4bc54a62fa2af60c37c36c31ae3d7961d6a1371de96ebbb13de0f959b11bad0708344880fca8d31060592fd5a7f44a867b53
DIST botocore-1.42.12.gh.tar.gz 15743929 BLAKE2B df1bc307bbe2ed919e356964705df8f64f72a9d7f8baa6c7efff69800eaa96239de118cd9d132c956a948c42f2f7b20c3f04d9addd22b93562a48398e86f1c77 SHA512 cd0546fffba3068353ecdebaf6ec46af2c35bb213af28c3234e06169088a923626f4f56baf7a89e8bdefa7c557262add3f1cef5db5e42bfe335e7dd913d09653
DIST botocore-1.42.13.gh.tar.gz 15750273 BLAKE2B cdb48ded4934944aa222c918ac5829d4e93ee8f446cf2411977f771b9b2ea0cde75398a399369844dbf1b58b530e6e5b841917eb4dc63fe57b8038cd54fa9d5c SHA512 9f5c0c064924c6dc52843197fdffcb99609d4a124d48b9cd67e8e4269af8f9d39054372e2bdf8f749734e50e42d77c04d5b61564b366d2f91f62720ac76751d8
+DIST botocore-1.42.14.gh.tar.gz 15774512 BLAKE2B 7c88b33bb001079890fa0a9f49134f5e2c9cd0bb8bef3a3fb46fdd8b60b3a939232eb893cdd03cc6f0b5a49e8623f211603b4e16c5bc38cefcfc9dce4554e436 SHA512 044df7ec561d300762d0e9373819e409a9e924abf74fa7a3de28d72527c535f7408bd5cd302799f816f543a966440a999279f8feb177650ad5a547e52f1d9902
DIST botocore-1.42.4.gh.tar.gz 15703399 BLAKE2B ffd1613284a8487fd2abf10f53fcdaa13746990f519e2bc511bd09daa2efdbbc03cd141f40d36c83dc8180229daddb3a064c6d5aae2bc14f46921f50edf0f528 SHA512 22bbda9f4bc36bd18802812c63d650b2267565c27e432f7105daaa2c85660d2e3786ee11837ce2affe6d130504f9a7bf5c9e7ea3be5699b5d32be3090fb71914
DIST botocore-1.42.9.gh.tar.gz 15723096 BLAKE2B 2cb1489fa48546abe3306935367744f918d053e02af58d6b85ed84a50bbfc659ec20763055e9783d492f6f248af81e571b8452487bf8ca3267e15d12ce8773bb SHA512 54cc19ca34474e8bfd7eda403452af24b6f73e611442ba4b7ed5f4f223ae279bdf95a3bc4945d16eba6ccca53d2dbefee6d2157ecb6b4ef23a1e960d5469dcc9
diff --git a/dev-python/botocore/botocore-1.42.14.ebuild b/dev-python/botocore/botocore-1.42.14.ebuild
new file mode 100644
index 000000000000..cbe29570b2e5
--- /dev/null
+++ b/dev-python/botocore/botocore-1.42.14.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..14} )
+
+inherit distutils-r1
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="
+ https://github.com/boto/botocore/
+ https://pypi.org/project/botocore/
+"
+SRC_URI="
+ https://github.com/boto/botocore/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+RDEPEND="
+ <dev-python/jmespath-2[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+# unbundled packages
+RDEPEND+="
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=()
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+
+ # unbundle deps
+ rm -r botocore/vendored || die
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on bundled six
+ tests/functional/test_six_imports.py::test_no_bare_six_imports
+ tests/functional/test_six_threading.py::test_six_thread_safety
+ )
+
+ epytest tests/{functional,unit}
+}
diff --git a/dev-python/docker/Manifest b/dev-python/docker/Manifest
index e204089fb8d6..1e77cd1696ad 100644
--- a/dev-python/docker/Manifest
+++ b/dev-python/docker/Manifest
@@ -1,3 +1 @@
-DIST docker-py-6.1.3.gh.tar.gz 253192 BLAKE2B b5a54d2bcbb4a89e4861bbf59a9b4565886f5541a518f66691ae205b7581f73af9fe6d491af299b0295f39b4a6e6248871b16e25ea5650fabbeafb7ced6cdaf7 SHA512 ba6ade2487afb8f68606b7d78c0f0dc83ffde622444a9598a5c647d0176695171040c5d1115fb8db6d97cb062a24d552d043274a56923b0eae0f64d98cb92c30
-DIST docker-py-7.0.0.gh.tar.gz 252188 BLAKE2B 64df988c8ece4fc0199731206b7f85554841e4c60ea10f1044c1d5f0dc52286e9da36280bfc468933bbae1f8efaa0fd44afaedf732001cd3d7a2c05879d6a467 SHA512 1ddfdc6d533d9e623baf8bbf1243272d6e511c2bb356c82d9401e566733794d38aa34df151788f1ad807fe7ba0144cc428e0b7f74acd888a58afc61c09c6d09c
DIST docker-py-7.1.0.gh.tar.gz 253282 BLAKE2B 82eba285c1ea61956005dd0a9bfb66864fd30119a4b4c384d0d4350edeb331004d66bcdba6f20ec56ff48590b4a29a7b0fb07c6db6ecadfe96830337c37a535a SHA512 3dd73f2c3f3e92863496ef8277f481e64484e0e85a64dffe4e3287836823e4b118a5c8e73b2540e7188a0b755cd3f237ccc868a5bfb81d3bff1142fbb33755cb
diff --git a/dev-python/docker/docker-6.1.3.ebuild b/dev-python/docker/docker-6.1.3.ebuild
deleted file mode 100644
index 0ddecf870d0d..000000000000
--- a/dev-python/docker/docker-6.1.3.ebuild
+++ /dev/null
@@ -1,57 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-# py3.12: https://github.com/docker/docker-py/pull/3176 (incomplete)
-PYTHON_COMPAT=( python3_{10..14} )
-
-inherit distutils-r1
-
-MY_P=docker-py-${PV}
-DESCRIPTION="Python client for Docker"
-HOMEPAGE="
- https://github.com/docker/docker-py/
- https://pypi.org/project/docker/
-"
-SRC_URI="
- https://github.com/docker/docker-py/archive/${PV}.tar.gz
- -> ${MY_P}.gh.tar.gz
-"
-S=${WORKDIR}/${MY_P}
-
-LICENSE="Apache-2.0"
-SLOT="0"
-KEYWORDS="amd64 ~arm arm64 ~ppc64 ~riscv x86"
-
-RDEPEND="
- >=dev-python/packaging-14.0[${PYTHON_USEDEP}]
- >=dev-python/requests-2.26.0[${PYTHON_USEDEP}]
- >=dev-python/urllib3-1.26.0[${PYTHON_USEDEP}]
- >=dev-python/websocket-client-0.32.0[${PYTHON_USEDEP}]
-"
-BDEPEND="
- dev-python/setuptools-scm[${PYTHON_USEDEP}]
- test? (
- >=dev-python/paramiko-2.4.3[${PYTHON_USEDEP}]
- )
-"
-
-distutils_enable_sphinx docs \
- 'dev-python/myst-parser'
-distutils_enable_tests pytest
-
-src_prepare() {
- # localhost has a better chance of being in /etc/hosts
- sed -e 's:socket[.]gethostname():"localhost":' \
- -i tests/unit/api_test.py || die
-
- distutils-r1_src_prepare
-
- export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
-}
-
-python_test() {
- epytest tests/unit
-}
diff --git a/dev-python/docker/docker-7.0.0.ebuild b/dev-python/docker/docker-7.0.0.ebuild
deleted file mode 100644
index 523205d0c789..000000000000
--- a/dev-python/docker/docker-7.0.0.ebuild
+++ /dev/null
@@ -1,56 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{10..14} )
-
-inherit distutils-r1
-
-MY_P=docker-py-${PV}
-DESCRIPTION="Python client for Docker"
-HOMEPAGE="
- https://github.com/docker/docker-py/
- https://pypi.org/project/docker/
-"
-SRC_URI="
- https://github.com/docker/docker-py/archive/${PV}.tar.gz
- -> ${MY_P}.gh.tar.gz
-"
-S=${WORKDIR}/${MY_P}
-
-LICENSE="Apache-2.0"
-SLOT="0"
-KEYWORDS="amd64 ~arm arm64 ~ppc64 ~riscv x86"
-
-RDEPEND="
- >=dev-python/packaging-14.0[${PYTHON_USEDEP}]
- >=dev-python/requests-2.26.0[${PYTHON_USEDEP}]
- >=dev-python/urllib3-1.26.0[${PYTHON_USEDEP}]
-"
-BDEPEND="
- dev-python/setuptools-scm[${PYTHON_USEDEP}]
- test? (
- >=dev-python/paramiko-2.4.3[${PYTHON_USEDEP}]
- >=dev-python/websocket-client-0.32.0[${PYTHON_USEDEP}]
- )
-"
-
-distutils_enable_sphinx docs \
- 'dev-python/myst-parser'
-distutils_enable_tests pytest
-
-src_prepare() {
- # localhost has a better chance of being in /etc/hosts
- sed -e 's:socket[.]gethostname():"localhost":' \
- -i tests/unit/api_test.py || die
-
- distutils-r1_src_prepare
-
- export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
-}
-
-python_test() {
- epytest tests/unit
-}
diff --git a/dev-python/flatbuffers/Manifest b/dev-python/flatbuffers/Manifest
index 01fd2dd818d3..271f84c8805a 100644
--- a/dev-python/flatbuffers/Manifest
+++ b/dev-python/flatbuffers/Manifest
@@ -1,2 +1,2 @@
-DIST flatbuffers-25.2.10.gh.tar.gz 2299918 BLAKE2B f12b32fca1a15349aaba142907d2d66caa55bb73862b969b226d0356f7f68fbba74c9c3f643a944813c370cacf81735b6c80d054a70b8b442519f9c485bbd10d SHA512 7e6ae36b37c9fd322456312504156c8241852e07a2a23de6805eb2328b61b9f42b839d04b839f9d97623195721308437a1163a25071ca2af0d00a6417da74822
+DIST flatbuffers-25.12.19.gh.tar.gz 2355743 BLAKE2B d06cce5a2c715d2859823161bab0c5b24e20f8cb20d45df25e66a51872ada981c61aa0e64145fe0073bc7b3a0a009de622b19e188f6e951a1d50f00fe39a9292 SHA512 808c77536fbfb1c8a1145506873a2b4e5cb508e48bf35f8502a2d1349b64e7581bfe7ff2f587b3edb2642cc885c60c0170a8875fad245240a1288057f4c07a42
DIST flatbuffers-25.9.23.gh.tar.gz 2336210 BLAKE2B 9d5765a443dbed772e75183b6caaed8d38fb17b79426d514b287efabf930e5683e5f8a4e3120d327ce3879d19521cea7f4da6a98d1c3cb4e4b94cf0b8e00a253 SHA512 259ae6c0b024c19c882d87c93d6ba156c15f14a61b11846170ac1b9e9c051cd3e80ae93cfe20ccb1aa30f2085cdbd4127ffa229b42cabbfed6b035ca4851c127
diff --git a/dev-python/flatbuffers/files/flatbuffers-24.3.25-numpy-2.patch b/dev-python/flatbuffers/files/flatbuffers-24.3.25-numpy-2.patch
deleted file mode 100644
index cc5846404764..000000000000
--- a/dev-python/flatbuffers/files/flatbuffers-24.3.25-numpy-2.patch
+++ /dev/null
@@ -1,72 +0,0 @@
-From d053fbd391610e72fff1f8ee02c1222305f15de9 Mon Sep 17 00:00:00 2001
-From: =?UTF-8?q?Petr=20Van=C4=9Bk?= <arkamar@gentoo.org>
-Date: Mon, 1 Jul 2024 10:29:39 +0000
-Subject: [PATCH] Support for Numpy 2.0 in tests
-
-The newbyteorder has been removed in Numpy 2.0 [1]. Its usages are
-replaced with respect to migration guide.
-
-[1] https://numpy.org/devdocs/numpy_2_0_migration_guide.html#ndarray-and-scalar-methods
-
-Fixes: #8332
-
-Upstream-PR: https://github.com/google/flatbuffers/pull/8346
-
-diff --git a/tests/py_test.py b/tests/py_test.py
-index 7d6c0a37966..fc13a490f71 100644
---- a/tests/py_test.py
-+++ b/tests/py_test.py
-@@ -1095,7 +1095,7 @@ def test_create_numpy_vector_int8(self):
-
- # Reverse endian:
- b = flatbuffers.Builder(0)
-- x_other_endian = x.byteswap().newbyteorder()
-+ x_other_endian = x.byteswap().view(x.dtype.newbyteorder())
- b.CreateNumpyVector(x_other_endian)
- self.assertBuilderEquals(
- b,
-@@ -1144,7 +1144,7 @@ def test_create_numpy_vector_uint16(self):
-
- # Reverse endian:
- b = flatbuffers.Builder(0)
-- x_other_endian = x.byteswap().newbyteorder()
-+ x_other_endian = x.byteswap().view(x.dtype.newbyteorder())
- b.CreateNumpyVector(x_other_endian)
- self.assertBuilderEquals(
- b,
-@@ -1213,7 +1213,7 @@ def test_create_numpy_vector_int64(self):
-
- # Reverse endian:
- b = flatbuffers.Builder(0)
-- x_other_endian = x.byteswap().newbyteorder()
-+ x_other_endian = x.byteswap().view(x.dtype.newbyteorder())
- b.CreateNumpyVector(x_other_endian)
- self.assertBuilderEquals(
- b,
-@@ -1287,7 +1287,7 @@ def test_create_numpy_vector_float32(self):
-
- # Reverse endian:
- b = flatbuffers.Builder(0)
-- x_other_endian = x.byteswap().newbyteorder()
-+ x_other_endian = x.byteswap().view(x.dtype.newbyteorder())
- b.CreateNumpyVector(x_other_endian)
- self.assertBuilderEquals(
- b,
-@@ -1361,7 +1361,7 @@ def test_create_numpy_vector_float64(self):
-
- # Reverse endian:
- b = flatbuffers.Builder(0)
-- x_other_endian = x.byteswap().newbyteorder()
-+ x_other_endian = x.byteswap().view(x.dtype.newbyteorder())
- b.CreateNumpyVector(x_other_endian)
- self.assertBuilderEquals(
- b,
-@@ -1427,7 +1427,7 @@ def test_create_numpy_vector_bool(self):
-
- # Reverse endian:
- b = flatbuffers.Builder(0)
-- x_other_endian = x.byteswap().newbyteorder()
-+ x_other_endian = x.byteswap().view(x.dtype.newbyteorder())
- b.CreateNumpyVector(x_other_endian)
- self.assertBuilderEquals(
- b,
diff --git a/dev-python/flatbuffers/flatbuffers-25.2.10.ebuild b/dev-python/flatbuffers/flatbuffers-25.12.19.ebuild
index 8f46cb8588af..3ee843b72041 100644
--- a/dev-python/flatbuffers/flatbuffers-25.2.10.ebuild
+++ b/dev-python/flatbuffers/flatbuffers-25.12.19.ebuild
@@ -21,7 +21,7 @@ S=${WORKDIR}/${P}/python
LICENSE="Apache-2.0"
SLOT="0"
-KEYWORDS="amd64 arm arm64 ~riscv ~sparc x86"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~sparc ~x86"
IUSE="test"
RESTRICT="!test? ( test )"
@@ -31,13 +31,6 @@ BDEPEND="
)
"
-src_prepare() {
- cd "${WORKDIR}/${P}" || die
- eapply "${FILESDIR}/${PN}-24.3.25-numpy-2.patch"
- cd "${S}" || die
- distutils-r1_src_prepare
-}
-
python_test() {
cd "${WORKDIR}/${P}/tests" || die
# zeroes means without benchmarks
diff --git a/dev-python/furo/Manifest b/dev-python/furo/Manifest
index 04094dcbd805..980e83f6eae7 100644
--- a/dev-python/furo/Manifest
+++ b/dev-python/furo/Manifest
@@ -1,2 +1,2 @@
-DIST furo-2025.7.19-py3-none-any.whl 342175 BLAKE2B 6ce62b2749be93dcafbc19695694be51c1be44dd56fa70fba72279260e3216d936e3399e4c53af96b7991053e75612a44cde379b6628e5b6773927cfb671a2df SHA512 5b602da4922ec14a0d8c8c113e26b6be486079423daecfc984251c445fe6fb1d414b0c25f561a0df793fdac2f34e6e299a866b9606b9a00a0185ad12b5538e3d
+DIST furo-2025.12.19-py3-none-any.whl 339262 BLAKE2B 95764bd44c996f75d9cb0dff1ef4e1f46ad8afd3718b575347fca6c7a53594e46eea403621b635c2bf34ca93f63c64f0eb45aa6cc76c3954cbc9c129f58f8002 SHA512 72a8bf1249c78adf8a1854e0769bdc37bf95c7ae4dadc9fe8b3bb77879448847dd52c4052f8634d63c93e5078f1746c6dc163a8cb5327424aa81a8f34046c554
DIST furo-2025.9.25-py3-none-any.whl 340409 BLAKE2B fadcabddce23f9a07e1d26a569c58a88d2f11ef0dd9c5a3c5ed8445b309a1d4542a4279b14ef641210cf74de81abfc69ad6545c6516c2e89c1de158738131013 SHA512 4326fc515de9eb4d44322c7c2fd7a4a8f5672dd21892708c520cadc7596909ca90a257f636e3bb1a68605575b98a4d48d83d357c97ada265d6a3f9d50746c52f
diff --git a/dev-python/furo/furo-2025.7.19.ebuild b/dev-python/furo/furo-2025.12.19.ebuild
index 0a9cbaa6a0cb..404d79f2ee25 100644
--- a/dev-python/furo/furo-2025.7.19.ebuild
+++ b/dev-python/furo/furo-2025.12.19.ebuild
@@ -22,7 +22,7 @@ S=${WORKDIR}
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 ~hppa ~m68k ~mips ppc ppc64 ~riscv ~s390 ~sparc x86"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
RDEPEND="
dev-python/beautifulsoup4[${PYTHON_USEDEP}]
@@ -30,6 +30,8 @@ RDEPEND="
dev-python/sphinx-basic-ng[${PYTHON_USEDEP}]
"
+distutils_enable_tests import-check
+
src_unpack() {
if [[ ${PKGBUMPING} == ${PVR} ]]; then
unzip "${DISTDIR}/${A}" || die
diff --git a/dev-python/hcloud/Manifest b/dev-python/hcloud/Manifest
index 807e9acbec5d..014f1c36cd18 100644
--- a/dev-python/hcloud/Manifest
+++ b/dev-python/hcloud/Manifest
@@ -1,4 +1,3 @@
-DIST hcloud-python-2.10.0.gh.tar.gz 135210 BLAKE2B e5dbd2481ee41e122fa93d6562d02f75887ff30756d47a0414bc09eb168cf8a39ebc251fcd522608357e870140d4d80364e2470d85abf883ce588d9c25c68c8c SHA512 3733e750df238134a5fc9e7328ad487f3c027f4823c0915dc9e05bb85dbd7997b36445a9ad58b686eb298f65a659f09ec4e06d7355b5878ea53ebfa5c6f9dda9
DIST hcloud-python-2.11.1.gh.tar.gz 135317 BLAKE2B e71e77e8300169eb657d9b326b351fa0f3a19b3bd32657d899c6faf4e3c32169a0847b61e9996ea401502635f7b208d2da611637426c23cd2a40a05074e5db50 SHA512 9e01ba3d6d1cdb6d00d816a3da1272f6bdc4ca5e0b935127da4448191df727fe1f7cebf2c3872a2ad883f814783b563088bb4e993f13ec5666d29ab90fbed47b
DIST hcloud-python-2.12.0.gh.tar.gz 148791 BLAKE2B 94dd094a7104b4832fbccbaeb2a2d2d52709a1a28f191a218dbeccfb1c32ded15d1ba5baa6d486ea2bd677969411b263d4246dc723050387dd5d2ecfb3a03313 SHA512 1b98dea1bd8383a21b6e1958172e2f259af198b3652ff3090d6c0bcd5246783df0f6e1331ad2bd028eb4bbd5cc17f14dcdcebf0224c8d0c11b6d94af4d1c7f29
-DIST hcloud-python-2.9.0.gh.tar.gz 133722 BLAKE2B 7a8a9934779981a456b90774f5daa9a26a6cc0e8e6efb2eb98f3c4e518d15f358c0c2384c4234fff08fc2b0dfd6a2257f282f4eca014a5391264257902ce9580 SHA512 f416993b49ac7bf082a6bcd5635595e60cb79643b9b5baab0a5b2e12d10ea7ecfbd95272a690747e86b7510120bf2cdb7decb51072a847f013cd9bdec8001c2b
+DIST hcloud-python-2.13.0.gh.tar.gz 150142 BLAKE2B 35b506346a53d57d6cc1a74a654d8d475da53684381b7e14f091fcdc5a21ed8481bf293f5451590c810b01b989e1bf397be6c04b6c6236c373c8e10e097d00e3 SHA512 9aca1674af7dc93e399e30129f09c87263c1d5cb8d70dfdbe27a4eae161b65151d5984ca2a18d74332972e2291400e300b4bb88a02fe06fa049680dc07aa7489
diff --git a/dev-python/hcloud/hcloud-2.10.0.ebuild b/dev-python/hcloud/hcloud-2.13.0.ebuild
index a8951e3c4d2a..d477ef6d2702 100644
--- a/dev-python/hcloud/hcloud-2.10.0.ebuild
+++ b/dev-python/hcloud/hcloud-2.13.0.ebuild
@@ -24,7 +24,7 @@ S=${WORKDIR}/${MY_P}
LICENSE="MIT"
SLOT="0"
-KEYWORDS="amd64"
+KEYWORDS="~amd64"
IUSE="examples"
RDEPEND="
diff --git a/dev-python/hcloud/hcloud-2.9.0.ebuild b/dev-python/hcloud/hcloud-2.9.0.ebuild
deleted file mode 100644
index a8951e3c4d2a..000000000000
--- a/dev-python/hcloud/hcloud-2.9.0.ebuild
+++ /dev/null
@@ -1,51 +0,0 @@
-# Copyright 1999-2025 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{10..14} )
-
-inherit distutils-r1
-
-MY_P=hcloud-python-${PV}
-DESCRIPTION="Official Hetzner Cloud python library"
-HOMEPAGE="
- https://github.com/hetznercloud/hcloud-python/
- https://pypi.org/project/hcloud/
-"
-# sdist is missing doc assets as of 1.19.0
-# https://github.com/hetznercloud/hcloud-python/pull/183
-SRC_URI="
- https://github.com/hetznercloud/hcloud-python/archive/v${PV}.tar.gz
- -> ${MY_P}.gh.tar.gz
-"
-S=${WORKDIR}/${MY_P}
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="amd64"
-IUSE="examples"
-
-RDEPEND="
- >=dev-python/python-dateutil-2.7.5[${PYTHON_USEDEP}]
- >=dev-python/requests-2.20[${PYTHON_USEDEP}]
-"
-
-distutils_enable_sphinx docs \
- dev-python/myst-parser \
- dev-python/sphinx-rtd-theme
-
-EPYTEST_PLUGINS=()
-distutils_enable_tests pytest
-
-EPYTEST_IGNORE=(
- # Integration tests need docker:
- # https://github.com/hetznercloud/hcloud-python/blob/master/.travis.yml#L16
- tests/integration
-)
-
-python_install_all() {
- use examples && dodoc -r examples
- distutils-r1_python_install_all
-}
diff --git a/dev-python/intervaltree/Manifest b/dev-python/intervaltree/Manifest
index b4c99f4b270b..0f3e38c732cc 100644
--- a/dev-python/intervaltree/Manifest
+++ b/dev-python/intervaltree/Manifest
@@ -1 +1,2 @@
DIST intervaltree-3.1.0.tar.gz 32861 BLAKE2B 311b7937526495ff0d5d85b4e6a01744d585714c119e6b128ae47740a50234bfe32395728e55c1c9d0670c92b4e815901dbf26c9a83bbe8271875967e9f11f1b SHA512 adb49726912ad6e9cf6c0985b4fb94df91b4ef54aa2eb327186d7f15bc992745d81654d49f1dd2ce95f7173683ba2a072787ef1e8b389cd9b7e23b9ae743906a
+DIST intervaltree-3.2.0.tar.gz 32679 BLAKE2B 0bec009e0862bfd8381ff34f474d4314c16e2df1266aa2cd19cabacf783dff0a0f75fc6021a8ca4847238bfba105cdd63d35e67e3cf84546fefe2dc6becee355 SHA512 980cd381940f6f97be938f6a8c2c3cd4441aa911d4fcbea7431bf0bbc99602f4f80c04a5f7695837fca70eb13b3fcbfb24e4091f417d9e7e28d233b109cc43a8
diff --git a/dev-python/intervaltree/intervaltree-3.2.0.ebuild b/dev-python/intervaltree/intervaltree-3.2.0.ebuild
new file mode 100644
index 000000000000..e6a9317bf9db
--- /dev/null
+++ b/dev-python/intervaltree/intervaltree-3.2.0.ebuild
@@ -0,0 +1,22 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Editable interval tree data structure for Python 2 and 3"
+HOMEPAGE="
+ https://github.com/chaimleib/intervaltree/
+ https://pypi.org/project/intervaltree/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
diff --git a/dev-python/langdetect/Manifest b/dev-python/langdetect/Manifest
index d12ab8aeaca8..a11d7c268c91 100644
--- a/dev-python/langdetect/Manifest
+++ b/dev-python/langdetect/Manifest
@@ -1,3 +1 @@
DIST langdetect-1.0.9.tar.gz 981474 BLAKE2B ea8a9c3f16a2987c080742473bff4f2c1503f53fb3c2b40b0b1d6212bb6133ea22dce7864ffcfb8968c3a46b157d45cb3e2cf6f84bdbed0266cc716a853b032c SHA512 7558d674c47b080c79e43a00a25d2c7f77188cf60bea2cecb3bebb803d75e1aa42b43c74bd26ea1b541f4cb927421908882cbec01a91f0913984217e71ccc8db
-EBUILD langdetect-1.0.9.ebuild 494 BLAKE2B 9cd8a2a93a8d45bf51fe2324402b175d641762ea591fcb99459427f977a95eccffa6ca4777ca4df39814eea6eac62711567faa654456d32f79023a4685804504 SHA512 d973b85ba1a44389a4275f02a779a93a005f7c2e096467b94b072862e4984d5b42cf33f9821ac68aa5b85b12c98983a90b96049989d8c84497969174b6bb838e
-MISC metadata.xml 457 BLAKE2B 630128a3e982b6d60cc7b9f74c79fcb5ee47a71a02c73a50af9da8cedb6fad8e20a7f74b881e5b25c6483b92c9edbd56552cd38b2d9cbfa8b3eb4530facea969 SHA512 674f4f5cd809c6c77bc14e0f5687fa972bef14bdfa0b3343c5d66b7163eef1906eb87d060c8288732f825de71dce291ad0b841a5f2f0dd230f957b5687e45d45
diff --git a/dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch b/dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch
new file mode 100644
index 000000000000..637368d2f237
--- /dev/null
+++ b/dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch
@@ -0,0 +1,13 @@
+Fix "Package 'langdetect.profiles' is absent from the `packages` configuration."
+
+--- a/setup.py
++++ b/setup.py
+@@ -18,7 +18,7 @@ setup(
+ author_email='michal.danilak@gmail.com',
+ url='https://github.com/Mimino666/langdetect',
+ keywords='language detection library',
+- packages=['langdetect', 'langdetect.utils', 'langdetect.tests'],
++ packages=['langdetect', 'langdetect.utils', 'langdetect.tests', 'langdetect.profiles'],
+ include_package_data=True,
+ install_requires=['six'],
+ license='MIT',
diff --git a/dev-python/langdetect/langdetect-1.0.9.ebuild b/dev-python/langdetect/langdetect-1.0.9.ebuild
index 271137de443d..7100f5f39dd8 100644
--- a/dev-python/langdetect/langdetect-1.0.9.ebuild
+++ b/dev-python/langdetect/langdetect-1.0.9.ebuild
@@ -1,4 +1,4 @@
-# Copyright 2022 Gentoo Authors
+# Copyright 2022-2025 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -19,4 +19,6 @@ KEYWORDS="~amd64"
RDEPEND="dev-python/six[${PYTHON_USEDEP}]"
+PATCHES=( "${FILESDIR}/${P}-explicit-config.patch" )
+
distutils_enable_tests unittest
diff --git a/dev-python/langdetect/metadata.xml b/dev-python/langdetect/metadata.xml
index 020e07f2a3dd..c0f74ac187e2 100644
--- a/dev-python/langdetect/metadata.xml
+++ b/dev-python/langdetect/metadata.xml
@@ -2,11 +2,9 @@
<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
- <email>marcin.deranek@slonko.net</email>
- <name>Marcin Deranek</name>
+ <email>pastalian46@gmail.com</email>
+ <name>Takuya Wakazono</name>
</maintainer>
- <upstream>
- <bugs-to>https://github.com/Mimino666/langdetect/issues</bugs-to>
- </upstream>
- <origin>slonko-overlay</origin>
+
+ <origin>gentoo-guru-overlay</origin>
</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/latexrestricted/latexrestricted-0.6.2.ebuild b/dev-python/latexrestricted/latexrestricted-0.6.2.ebuild
index 11de29ee2987..43403de92fab 100644
--- a/dev-python/latexrestricted/latexrestricted-0.6.2.ebuild
+++ b/dev-python/latexrestricted/latexrestricted-0.6.2.ebuild
@@ -20,4 +20,4 @@ SRC_URI="
LICENSE="LPPL-1.3c"
SLOT="0"
-KEYWORDS="amd64 ~arm ~ppc ~ppc64 ~x86"
+KEYWORDS="amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
diff --git a/dev-python/mecab-python/Manifest b/dev-python/mecab-python/Manifest
index 119471d30c76..a748f79e603e 100644
--- a/dev-python/mecab-python/Manifest
+++ b/dev-python/mecab-python/Manifest
@@ -1,2 +1 @@
-DIST mecab-python-0.996.tar.gz 62338 BLAKE2B d2f8749bf4ea0b30b9f7ee68a4210a3af600803296197f48091d1c9fe90f5baaff3eb94ecb3aa04d994771512c1ef5b68a62e0a045da95992bffd1710725e832 SHA512 08954ed801419fd7f65d055244227364bc37b063f8d21babb6ceeb02ca40e0146fa4401d1426255f3656ac1a5e51439bde981414613153dca5972f624289447e
DIST mecab-python-1.0.7.gh.tar.gz 74249 BLAKE2B aa97fbd59791ecbcda5e8dd1a1beeec8fd7755f21873a27a816c57d5320bc9013ef029bea62d2f3fbc76645dece38e88dcadd291b109d3cc645e39f82eabe4b9 SHA512 2aba54c7e3c306e7eabe24b6321731b621767a82e8af34ad879a86d1db67a2c94c9793073c758838e83a705cd2423b2e235f0db1b1b61312d1e6790e408d35f4
diff --git a/dev-python/mecab-python/files/mecab-python-python3.patch b/dev-python/mecab-python/files/mecab-python-python3.patch
deleted file mode 100644
index d8fa167fff17..000000000000
--- a/dev-python/mecab-python/files/mecab-python-python3.patch
+++ /dev/null
@@ -1,73 +0,0 @@
---- a/setup.py
-+++ b/setup.py
-@@ -7,7 +7,7 @@
- return os.popen(str).readlines()[0][:-1]
-
- def cmd2(str):
-- return string.split (cmd1(str))
-+ return cmd1(str).split()
-
- setup(name = "mecab-python",
- version = cmd1("mecab-config --version"),
---- a/test.py
-+++ b/test.py
-@@ -9,17 +9,17 @@
-
- try:
-
-- print MeCab.VERSION
-+ print(MeCab.VERSION)
-
- t = MeCab.Tagger (" ".join(sys.argv))
-
-- print t.parse(sentence)
-+ print(t.parse(sentence))
-
- m = t.parseToNode(sentence)
- while m:
-- print m.surface, "\t", m.feature
-- m = m.next
-- print "EOS"
-+ print(m.surface, "\t", m.feature)
-+ m = m.next
-+ print("EOS")
-
- lattice = MeCab.Lattice()
- t.parse(lattice)
-@@ -29,24 +29,24 @@
- b = lattice.begin_nodes(i)
- e = lattice.end_nodes(i)
- while b:
-- print "B[%d] %s\t%s" % (i, b.surface, b.feature)
-+ print("B[%d] %s\t%s" % (i, b.surface, b.feature))
- b = b.bnext
- while e:
-- print "E[%d] %s\t%s" % (i, e.surface, e.feature)
-+ print("E[%d] %s\t%s" % (i, e.surface, e.feature))
- e = e.bnext
-- print "EOS";
-+ print("EOS");
-
- d = t.dictionary_info()
- while d:
-- print "filename: %s" % d.filename
-- print "charset: %s" % d.charset
-- print "size: %d" % d.size
-- print "type: %d" % d.type
-- print "lsize: %d" % d.lsize
-- print "rsize: %d" % d.rsize
-- print "version: %d" % d.version
-- d = d.next
-+ print("filename: %s" % d.filename)
-+ print("charset: %s" % d.charset)
-+ print("size: %d" % d.size)
-+ print("type: %d" % d.type)
-+ print("lsize: %d" % d.lsize)
-+ print("rsize: %d" % d.rsize)
-+ print("version: %d" % d.version)
-+ d = d.next
-
--except RuntimeError, e:
-- print "RuntimeError:", e;
-+except RuntimeError as e:
-+ print("RuntimeError:", e);
diff --git a/dev-python/mecab-python/mecab-python-0.996-r1.ebuild b/dev-python/mecab-python/mecab-python-0.996-r1.ebuild
deleted file mode 100644
index 2671957ce0b8..000000000000
--- a/dev-python/mecab-python/mecab-python-0.996-r1.ebuild
+++ /dev/null
@@ -1,33 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_EXT=1
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{10..14} )
-
-inherit distutils-r1
-
-DESCRIPTION="Python binding for MeCab"
-HOMEPAGE="
- https://taku910.github.io/mecab/
- https://github.com/taku910/mecab/
- https://pypi.org/project/mecab-python/
-"
-SRC_URI="https://storage.googleapis.com/google-code-archive-downloads/v2/code.google.com/${PN%-*}/${P}.tar.gz"
-
-LICENSE="|| ( BSD LGPL-2.1 GPL-2 )"
-SLOT="0"
-KEYWORDS="amd64 ppc64 x86"
-
-DEPEND="~app-text/mecab-${PV}"
-RDEPEND="${DEPEND}"
-
-PATCHES=( "${FILESDIR}"/${PN}-python3.patch )
-DOCS=( AUTHORS README test.py )
-HTML_DOCS=( bindings.html )
-
-python_test() {
- "${EPYTHON}" test.py || die "Tests failed with ${EPYTHON}"
-}
diff --git a/dev-python/nbclient/Manifest b/dev-python/nbclient/Manifest
index c56cee9e974b..bcbfb49d11bb 100644
--- a/dev-python/nbclient/Manifest
+++ b/dev-python/nbclient/Manifest
@@ -1 +1,2 @@
DIST nbclient-0.10.2.tar.gz 62424 BLAKE2B f0efae4b3eed70f04f3d0cc830ef4cc47ed98b93785c6048103b62aff9537eaeebc0ad54a513c142c3d76c64d093c9bac3003608c6510b719d9b5de7b67ad463 SHA512 e19e58950822711af8588fdb7a24c1df028c77c2e128023494335973ff28f524478637c491b16329c38edb2ff7714632d4216e6483bb9aa79e2b393e3de72be8
+DIST nbclient-0.10.3.tar.gz 62564 BLAKE2B ebcbbbe09e1b2ee18423d2010627bb551e99762c5847341e44df8a1a41977d7cbf3652046dfe3e44ad8569a5d36befe041030001a3d37b6440eff17f223f7e68 SHA512 ae618a81baec30d9bb239b4fcc3e79c873e1163700ab15b646b552951c4f3156a986f5d7f041d7def56116115d24eb2be413028f2c7b076113d70abf4efb3ebc
diff --git a/dev-python/nbclient/nbclient-0.10.3.ebuild b/dev-python/nbclient/nbclient-0.10.3.ebuild
new file mode 100644
index 000000000000..d464be36eb6e
--- /dev/null
+++ b/dev-python/nbclient/nbclient-0.10.3.ebuild
@@ -0,0 +1,47 @@
+# Copyright 2020-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{10..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A client library for executing Jupyter notebooks"
+HOMEPAGE="
+ https://nbclient.readthedocs.io/en/latest/
+ https://github.com/jupyter/nbclient/
+ https://pypi.org/project/nbclient/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/jupyter-client-6.1.12[${PYTHON_USEDEP}]
+ >=dev-python/jupyter-core-5.1.0[${PYTHON_USEDEP}]
+ >=dev-python/nbformat-5.1.3[${PYTHON_USEDEP}]
+ >=dev-python/traitlets-5.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/ipython[${PYTHON_USEDEP}]
+ >=dev-python/ipykernel-6.19.3[${PYTHON_USEDEP}]
+ dev-python/ipywidgets[${PYTHON_USEDEP}]
+ >=dev-python/nbconvert-7.1.0[${PYTHON_USEDEP}]
+ dev-python/testpath[${PYTHON_USEDEP}]
+ dev-python/xmltodict[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=( flaky pytest-asyncio )
+EPYTEST_RERUNS=3
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # hangs?
+ 'tests/test_client.py::test_run_all_notebooks[Interrupt.ipynb-opts6]'
+)
diff --git a/dev-python/oslo-log/Manifest b/dev-python/oslo-log/Manifest
index 7c2d32170833..78f4891cd836 100644
--- a/dev-python/oslo-log/Manifest
+++ b/dev-python/oslo-log/Manifest
@@ -1,2 +1,2 @@
-DIST oslo_log-7.2.0.tar.gz 98103 BLAKE2B ce51bfa8cb0c9b6d0fe922e1cc1a031dd54b6bcca073a37dcaeba89053e26ec1b86636ed81904a5c561feee3ab5bbcb4383f84fb2413dfa65f79586a298d2316 SHA512 5329b1d431a166d583380e73460745210a1a220a0b19b3747d95d2768ec372a62447b0ea4606b6bbc8987460426971a671af81b8350747b3cc44443d34ca9129
DIST oslo_log-7.2.1.tar.gz 98147 BLAKE2B c5e035b31e2daf40e8b55e752043594e949ab99f95d7d6b0183547bcbbe95c4e707383780a967c93f8d7a5de8b5d8af7ef43f8f4bee8a66af1141760c0ea1ca5 SHA512 1d62828b4837c624d9f812dd74aed11f528d20760a79265c25020de70a9afcc675c9f0e1de9f5fc95fc1f72c9330fe9ad81127f199e518a8eec9472c9def0e34
+DIST oslo_log-8.0.0.tar.gz 100632 BLAKE2B 8e00b8113e709f26d0716966c2c28de20f546afc16b717c3591bc8edc9c6aa9e940c530c036132cc55236e49b8e16668f345c9c60b01d28088f8981bddf60727 SHA512 3bd561206b3c2b41ea081e0fb9c3bf4c75bcec0cd39ffad58c29f30d1576648f097789f75e2eae0244dd1395242c5879b95d8f2377a244d2cc11c0a59d7f5432
diff --git a/dev-python/oslo-log/oslo-log-7.2.0.ebuild b/dev-python/oslo-log/oslo-log-8.0.0.ebuild
index 34c4d08ad122..0cc7fbfc9a64 100644
--- a/dev-python/oslo-log/oslo-log-7.2.0.ebuild
+++ b/dev-python/oslo-log/oslo-log-8.0.0.ebuild
@@ -18,7 +18,7 @@ HOMEPAGE="
LICENSE="Apache-2.0"
SLOT="0"
-KEYWORDS="amd64 ~arm arm64 ~riscv x86"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
RDEPEND="
>=dev-python/debtcollector-3.0.0[${PYTHON_USEDEP}]
diff --git a/dev-python/pandas/Manifest b/dev-python/pandas/Manifest
index edfc4dcecff9..c932140819c3 100644
--- a/dev-python/pandas/Manifest
+++ b/dev-python/pandas/Manifest
@@ -3,3 +3,5 @@ DIST pandas-2.3.0.tar.gz 4484490 BLAKE2B 4fa8ad780e47bb9cfd6dfe3ea89d7c217d2d9bf
DIST pandas-2.3.1.tar.gz 4487493 BLAKE2B d20f7f7b16e02d70f7cef228a20d0b1a1e7a8f4f2376f723b96ea38ca0df6e4bb9943b7ecf5d9f1f614e76f0b4bf84cf94c9a8768a8c5c045595bc052b7763bc SHA512 8d87295b7150708dfcd0d313933aa8ab056cd62eb404a540d3e96df16a5f78921fe1a56fbee15af2d159990465cc1bd939520fa640365b3ac892704dba991aea
DIST pandas-2.3.2.tar.gz 4488684 BLAKE2B d63a81eb06806ed80847322741f0e3e34c8a51af4794b0a18816ae2e10fd27c25b015da95f4a6c2cfb9767b9388025a3b5522817f9013b50c589d5ecf7ae7f64 SHA512 4cbc4db60e36f07e483322eb734d229ef67af042a8f8be5f2285b3607f1a1f122ecdd95884ea12b1850b5d98423e2d0895fa5c738df6b40ff1950fe6d4371708
DIST pandas-2.3.3.tar.gz 4495223 BLAKE2B c31604617900d439020dcdd66fcbca1cf3b720b6f4dd8ea51891946ad04774754cf7636a2ffb9fe746d15911a88153d36d4033b6a0207e9c7a1653a0f677570d SHA512 4179acb9fd9d1c5d543bb19b22483b4c2b17a36d5b10270a02ff4d8370b43c16a93673bf5509a5b1d1c960c0fde9238bbbf5b309c6745d2abf3d934535f3fd85
+DIST pandas-3.0.0rc1.tar.gz 4591349 BLAKE2B c724a6415d3769e23166e845a86554d4ec359b79c68a5714495def119dd3228a5b2c428757c7ea8e78e713623b222ef9ecec1908520f8cdc3080c595ecfcdf5a SHA512 e30ec13c82ad93f841c339d5c73d4574c37ee40adfea1d6bbe50c7281ad50715b772f90650a98c8f61c7445f2a055e715f2375d1e1ff694b90cffd14a3a0fd36
+DIST pandas-3.0.0rc1.tar.gz.provenance 9566 BLAKE2B c959e091ed7e67c746539a34da5f0991cc3a3e713834e9d017dc0790d827634063d0881e62767ff9abeb4450eba826e11967b0ccdc6c61933c3a4bc6929943f0 SHA512 b4720fd67511b5f3d5b1b5a5232a812d4d4785e8b7ec8cea69b19d46e31c6652ba174361571bf08a488a945f07c8c384d3e26ef3cccb7ddb7f8538e9e9460fd0
diff --git a/dev-python/pandas/pandas-3.0.0_rc1.ebuild b/dev-python/pandas/pandas-3.0.0_rc1.ebuild
new file mode 100644
index 000000000000..982ec8503a85
--- /dev/null
+++ b/dev-python/pandas/pandas-3.0.0_rc1.ebuild
@@ -0,0 +1,200 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=meson-python
+PYPI_VERIFY_REPO=https://github.com/pandas-dev/pandas
+PYTHON_COMPAT=( python3_{10..14} )
+PYTHON_REQ_USE="threads(+)"
+
+VIRTUALX_REQUIRED="manual"
+
+inherit distutils-r1 optfeature pypi toolchain-funcs virtualx
+
+DESCRIPTION="Powerful data structures for data analysis and statistics"
+HOMEPAGE="
+ https://pandas.pydata.org/
+ https://github.com/pandas-dev/pandas/
+ https://pypi.org/project/pandas/
+"
+
+LICENSE="BSD"
+SLOT="0"
+if [[ ${PV} != *_rc* ]]; then
+ KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+fi
+IUSE="big-endian full-support minimal test X"
+RESTRICT="!test? ( test )"
+
+RECOMMENDED_DEPEND="
+ >=dev-python/bottleneck-1.3.4[${PYTHON_USEDEP}]
+ >=dev-python/numexpr-2.8.0[${PYTHON_USEDEP}]
+"
+
+# TODO: add pandas-gbq to the tree
+# TODO: Re-add dev-python/statsmodel[python3_11] dep once it supports python3_11
+# https://github.com/statsmodels/statsmodels/issues/8287
+OPTIONAL_DEPEND="
+ >=dev-python/beautifulsoup4-4.14.2[${PYTHON_USEDEP}]
+ dev-python/blosc[${PYTHON_USEDEP}]
+ >=dev-python/html5lib-1.1[${PYTHON_USEDEP}]
+ >=dev-python/jinja2-3.1.2[${PYTHON_USEDEP}]
+ >=dev-python/lxml-4.8.0[${PYTHON_USEDEP}]
+ >=dev-python/matplotlib-3.6.1[${PYTHON_USEDEP}]
+ >=dev-python/openpyxl-3.0.7[${PYTHON_USEDEP}]
+ >=dev-python/sqlalchemy-1.4.36[${PYTHON_USEDEP}]
+ >=dev-python/tabulate-0.8.10[${PYTHON_USEDEP}]
+ >=dev-python/xarray-2022.3.0[${PYTHON_USEDEP}]
+ >=dev-python/xlrd-2.0.1[${PYTHON_USEDEP}]
+ >=dev-python/xlsxwriter-3.0.3[${PYTHON_USEDEP}]
+ >=dev-python/xlwt-1.3.0[${PYTHON_USEDEP}]
+ !arm? ( !hppa? ( !ppc? ( !x86? (
+ >=dev-python/scipy-1.8.1[${PYTHON_USEDEP}]
+ dev-python/statsmodels[${PYTHON_USEDEP}]
+ ) ) ) )
+ !big-endian? (
+ >=dev-python/tables-3.7.0[${PYTHON_USEDEP}]
+ )
+ X? (
+ || (
+ >=dev-python/pyqt5-5.15.6[${PYTHON_USEDEP}]
+ >=dev-python/qtpy-2.2.0[${PYTHON_USEDEP}]
+ x11-misc/xclip
+ x11-misc/xsel
+ )
+ )
+"
+DEPEND="
+ >=dev-python/numpy-1.23.2:=[${PYTHON_USEDEP}]
+"
+COMMON_DEPEND="
+ ${DEPEND}
+ >=dev-python/python-dateutil-2.8.2[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ ${COMMON_DEPEND}
+ >=dev-build/meson-1.2.1
+ >=dev-python/cython-3.0.5[${PYTHON_USEDEP}]
+ >=dev-python/versioneer-0.28[${PYTHON_USEDEP}]
+ test? (
+ ${VIRTUALX_DEPEND}
+ ${RECOMMENDED_DEPEND}
+ ${OPTIONAL_DEPEND}
+ dev-libs/apache-arrow[brotli,parquet,snappy]
+ >=dev-python/beautifulsoup4-4.14.2[${PYTHON_USEDEP}]
+ >=dev-python/hypothesis-6.46.1[${PYTHON_USEDEP}]
+ >=dev-python/openpyxl-3.0.10[${PYTHON_USEDEP}]
+ >=dev-python/pyarrow-10.0.1[parquet,${PYTHON_USEDEP}]
+ >=dev-python/pymysql-1.0.2[${PYTHON_USEDEP}]
+ >=dev-python/xlsxwriter-3.0.3[${PYTHON_USEDEP}]
+ x11-misc/xclip
+ x11-misc/xsel
+ )
+"
+RDEPEND="
+ ${COMMON_DEPEND}
+ !minimal? ( ${RECOMMENDED_DEPEND} )
+ full-support? ( ${OPTIONAL_DEPEND} )
+"
+
+EPYTEST_PLUGINS=()
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_test() {
+ virtx distutils-r1_src_test
+}
+
+python_test() {
+ # Note; deselects relative to pandas/
+ local EPYTEST_DESELECT=(
+ # missing data not covered by --no-strict-data-files?
+ # https://github.com/pandas-dev/pandas/issues/63437
+ tests/io/test_common.py::test_read_csv_chained_url_no_error
+
+ # require -Werror
+ # https://github.com/pandas-dev/pandas/pull/63436
+ tests/config/test_config.py::TestConfig::test_case_insensitive
+
+ # deprecation warning
+ 'tests/computation/test_eval.py::TestEval::test_scalar_unary[numexpr-pandas]'
+ )
+
+ if ! tc-has-64bit-time_t; then
+ EPYTEST_DESELECT+=(
+ # Needs 64-bit time_t (TODO: split into 32-bit arch only section)
+ tests/tseries/offsets/test_year.py::test_add_out_of_pydatetime_range
+ 'tests/tseries/offsets/test_common.py::test_apply_out_of_range[tzlocal()-BusinessDay]'
+ 'tests/tseries/offsets/test_common.py::test_apply_out_of_range[tzlocal()-BusinessHour]'
+ 'tests/tseries/offsets/test_common.py::test_apply_out_of_range[tzlocal()-BusinessMonthEnd]'
+ 'tests/tseries/offsets/test_common.py::test_apply_out_of_range[tzlocal()-BusinessMonthBegin]'
+ 'tests/tseries/offsets/test_common.py::test_apply_out_of_range[tzlocal()-BQuarterEnd]'
+ 'tests/tseries/offsets/test_common.py::test_apply_out_of_range[tzlocal()-BQuarterBegin]'
+ 'tests/tseries/offsets/test_common.py::test_apply_out_of_range[tzlocal()-CustomBusinessDay]'
+ 'tests/tseries/offsets/test_common.py::test_apply_out_of_range[tzlocal()-CustomBusinessHour]'
+ 'tests/tseries/offsets/test_common.py::test_apply_out_of_range[tzlocal()-CustomBusinessMonthEnd]'
+ 'tests/tseries/offsets/test_common.py::test_apply_out_of_range[tzlocal()-CustomBusinessMonthBegin]'
+ 'tests/tseries/offsets/test_common.py::test_apply_out_of_range[tzlocal()-MonthEnd]'
+ 'tests/tseries/offsets/test_common.py::test_apply_out_of_range[tzlocal()-MonthBegin]'
+ 'tests/tseries/offsets/test_common.py::test_apply_out_of_range[tzlocal()-SemiMonthBegin]'
+ 'tests/tseries/offsets/test_common.py::test_apply_out_of_range[tzlocal()-SemiMonthEnd]'
+ 'tests/tseries/offsets/test_common.py::test_apply_out_of_range[tzlocal()-QuarterEnd]'
+ 'tests/tseries/offsets/test_common.py::test_apply_out_of_range[tzlocal()-LastWeekOfMonth]'
+ 'tests/tseries/offsets/test_common.py::test_apply_out_of_range[tzlocal()-WeekOfMonth]'
+ 'tests/tseries/offsets/test_common.py::test_apply_out_of_range[tzlocal()-Week]'
+ )
+ fi
+
+ if ! has_version "dev-python/scipy[${PYTHON_USEDEP}]"; then
+ EPYTEST_DESELECT+=(
+ tests/plotting/test_misc.py::test_savefig
+ )
+ fi
+
+ case ${EPYTHON} in
+ python3.14)
+ EPYTEST_DESELECT+=(
+ 'tests/computation/test_eval.py::TestEval::test_simple_cmp_ops[float-float-numexpr-pandas-in]'
+ 'tests/computation/test_eval.py::TestEval::test_simple_cmp_ops[float-float-numexpr-pandas-not in]'
+ 'tests/computation/test_eval.py::TestEval::test_simple_cmp_ops[float-float-python-pandas-in]'
+ 'tests/computation/test_eval.py::TestEval::test_simple_cmp_ops[float-float-python-pandas-not in]'
+ 'tests/computation/test_eval.py::TestEval::test_compound_invert_op[float-float-numexpr-pandas-in]'
+ 'tests/computation/test_eval.py::TestEval::test_compound_invert_op[float-float-numexpr-pandas-not in]'
+ 'tests/computation/test_eval.py::TestEval::test_compound_invert_op[float-float-python-pandas-in]'
+ 'tests/computation/test_eval.py::TestEval::test_compound_invert_op[float-float-python-pandas-not in]'
+ 'tests/computation/test_eval.py::TestOperations::test_simple_arith_ops[numexpr-pandas]'
+ 'tests/computation/test_eval.py::TestOperations::test_simple_arith_ops[python-pandas]'
+ )
+ ;;
+ esac
+
+ local -x LC_ALL=C.UTF-8
+ cd "${BUILD_DIR}/install$(python_get_sitedir)" || die
+ "${EPYTHON}" -c "import pandas; pandas.show_versions()" || die
+ # nonfatal from virtx
+ # --no-strict-data-files is necessary since upstream prevents data
+ # files from even being included in GitHub archives, sigh
+ # https://github.com/pandas-dev/pandas/issues/54907
+ nonfatal epytest pandas/tests \
+ --no-strict-data-files -o xfail_strict=false \
+ -m "not single_cpu and not slow and not network and not db" ||
+ die "Tests failed with ${EPYTHON}"
+}
+
+pkg_postinst() {
+ optfeature "accelerating certain types of NaN evaluations, using specialized cython routines to achieve large speedups." dev-python/bottleneck
+ optfeature "accelerating certain numerical operations, using multiple cores as well as smart chunking and caching to achieve large speedups" ">=dev-python/numexpr-2.1"
+ optfeature "needed for pandas.io.html.read_html" dev-python/beautifulsoup4 dev-python/html5lib dev-python/lxml
+ optfeature "for msgpack compression using blosc" dev-python/blosc
+ optfeature "Template engine for conditional HTML formatting" dev-python/jinja2
+ optfeature "Plotting support" dev-python/matplotlib
+ optfeature "Needed for Excel I/O" ">=dev-python/openpyxl-3.0.10" dev-python/xlsxwriter dev-python/xlrd dev-python/xlwt
+ optfeature "necessary for HDF5-based storage" ">=dev-python/tables-3.7.0"
+ optfeature "R I/O support" dev-python/rpy2
+ optfeature "Needed for parts of pandas.stats" dev-python/statsmodels
+ optfeature "SQL database support" ">=dev-python/sqlalchemy-1.4.36"
+ optfeature "miscellaneous statistical functions" dev-python/scipy
+ optfeature "necessary to use pandas.io.clipboard.read_clipboard support" dev-python/pyqt5 dev-python/qtpy x11-misc/xclip x11-misc/xsel
+}
diff --git a/dev-python/sphinx/Manifest b/dev-python/sphinx/Manifest
index a4885b2f52a7..919f933a65b4 100644
--- a/dev-python/sphinx/Manifest
+++ b/dev-python/sphinx/Manifest
@@ -1,3 +1,4 @@
DIST sphinx-8.2.3.gh.tar.gz 8378376 BLAKE2B ddfa406140bebcaa09299a56fedf1170db6504a9ce3807e20c555f5e088d81acbfd19f2621a824b91199713b301380fd2056cf2282ea81f4a0858dd714eb7e45 SHA512 23066d9e98f3e36ee34ac3bc5af45792762f858e1e670145b7d1db7e98fa9e9654d87a27b9316dd72704aeea75b53f73d07d22f723c915d23a95f59bbd4f6365
DIST sphinx-9.0.3.gh.tar.gz 8843780 BLAKE2B 4d3bb39c612f099cd93d99a7f808012a511aca7f885124de2a29aca9ff40e139cbbf340a0895a40c6e7747113839d9b69785ba501b26219b92b61f3c4a5225f9 SHA512 49014e02017d1d70a84c0877d24c13732ee936d456e01b72e53dcaa7009cdf18c9dd5d0c23d25adb718439999d2d82cbcd29ba7e97289c394f3a1cdb456fe8af
DIST sphinx-9.0.4.gh.tar.gz 8843746 BLAKE2B 4cae21fa2b980f529f58444c4cf793ec455f5a0ea43944fa44e9e99a3d03de48f88f170e6c7382dea99cd0bb895729ee0b43cafe2aef1e84a190ea244e4c08da SHA512 8652e6a65060a81609275afa6301bb0eaccda939e2988f86d548796a215a86c923c9240422497abe77652a436479930e81dfdf43fba9722b63a50542d3ac9522
+DIST sphinx-9.1.0rc1.gh.tar.gz 8833000 BLAKE2B 12d327d8a15aae35c3e9bae4dd812334c7bc05ab16b8662c72d22d1d9a5b05eda6fff0be6299fda83a5cd8b9b88af8e5d704f78bdfe177081e68ad141f958a01 SHA512 02c24534b9137972dc48bb88e1c033ffd081c2493cd4a58eddc817f0ef340e883e53ac8deafaf1bb34977f8350f8cdfeb1b12e10f388ecdf33a5e761d15ccc58
diff --git a/dev-python/sphinx/sphinx-9.1.0_rc1.ebuild b/dev-python/sphinx/sphinx-9.1.0_rc1.ebuild
new file mode 100644
index 000000000000..16ee573358dc
--- /dev/null
+++ b/dev-python/sphinx/sphinx-9.1.0_rc1.ebuild
@@ -0,0 +1,103 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{10..14} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1
+
+MY_P=${P/_}
+DESCRIPTION="Python documentation generator"
+HOMEPAGE="
+ https://www.sphinx-doc.org/
+ https://github.com/sphinx-doc/sphinx/
+ https://pypi.org/project/Sphinx/
+"
+SRC_URI="
+ https://github.com/sphinx-doc/sphinx/archive/v${PV/_}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="BSD-2"
+SLOT="0"
+if [[ ${PV} != *_rc* ]]; then
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+fi
+IUSE="doc latex"
+
+RDEPEND="
+ >=dev-python/alabaster-0.7.14[${PYTHON_USEDEP}]
+ >=dev-python/babel-2.13[${PYTHON_USEDEP}]
+ <dev-python/docutils-0.23[${PYTHON_USEDEP}]
+ >=dev-python/docutils-0.21[${PYTHON_USEDEP}]
+ >=dev-python/imagesize-1.3[${PYTHON_USEDEP}]
+ >=dev-python/jinja2-3.1[${PYTHON_USEDEP}]
+ >=dev-python/packaging-23.0[${PYTHON_USEDEP}]
+ >=dev-python/pygments-2.14[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.30.0[${PYTHON_USEDEP}]
+ >=dev-python/roman-numerals-1.0.0[${PYTHON_USEDEP}]
+ >=dev-python/snowballstemmer-2.2[${PYTHON_USEDEP}]
+ >=dev-python/sphinxcontrib-applehelp-1.0.7[${PYTHON_USEDEP}]
+ >=dev-python/sphinxcontrib-devhelp-1.0.6[${PYTHON_USEDEP}]
+ >=dev-python/sphinxcontrib-htmlhelp-2.0.6[${PYTHON_USEDEP}]
+ >=dev-python/sphinxcontrib-jsmath-1.0.1[${PYTHON_USEDEP}]
+ >=dev-python/sphinxcontrib-qthelp-1.0.6[${PYTHON_USEDEP}]
+ >=dev-python/sphinxcontrib-serializinghtml-1.1.9[${PYTHON_USEDEP}]
+ latex? (
+ dev-texlive/texlive-latexextra
+ dev-texlive/texlive-luatex
+ app-text/dvipng
+ )
+"
+BDEPEND="
+ >=dev-python/flit-core-3.11
+ doc? (
+ dev-python/sphinxcontrib-websupport[${PYTHON_USEDEP}]
+ media-gfx/graphviz
+ )
+ test? (
+ app-text/dvipng
+ >=dev-python/cython-3.0.0[${PYTHON_USEDEP}]
+ >=dev-python/defusedxml-0.7.1[${PYTHON_USEDEP}]
+ dev-python/pytest-rerunfailures[${PYTHON_USEDEP}]
+ >=dev-python/setuptools-67.0[${PYTHON_USEDEP}]
+ dev-texlive/texlive-fontsextra
+ dev-texlive/texlive-latexextra
+ dev-texlive/texlive-luatex
+ virtual/imagemagick-tools[jpeg,png,svg]
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}/sphinx-3.2.1-doc-link.patch"
+)
+
+EPYTEST_PLUGINS=()
+EPYTEST_RERUNS=5
+# EPYTEST_XDIST breaks stuff
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # disable internet access
+ sed -i -e 's:^intersphinx_mapping:disabled_&:' \
+ doc/conf.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+ # we can't use distutils_enable_sphinx because it would
+ # introduce a dep on itself
+ use doc && build_sphinx doc
+}
+
+python_test() {
+ mkdir -p "${BUILD_DIR}/sphinx_tempdir" || die
+ local -x SPHINX_TEST_TEMPDIR="${BUILD_DIR}/sphinx_tempdir"
+
+ epytest
+}
diff --git a/dev-python/sqlparse/Manifest b/dev-python/sqlparse/Manifest
index 29b613192f68..f5f62c7afb3d 100644
--- a/dev-python/sqlparse/Manifest
+++ b/dev-python/sqlparse/Manifest
@@ -1,2 +1,3 @@
DIST sqlparse-0.5.3.tar.gz 84999 BLAKE2B 034c19eb1bb057c755a61248dc74c6e114d2bf2633f33d15b4a012ec4734c0374276f0bc8347706f6e48ef13d130c6769ceb9df04f09fabde2cb82bdb819e9a4 SHA512 219c4a3874606b6b3270fb507d89822412b51d8d120d50682fa683ab127fe05538256a575b5b29ee1a9f88be51ad46999e7c2ad2bb84a39e96ae6d2401eaffcd
DIST sqlparse-0.5.4.tar.gz 120112 BLAKE2B 501192acda3b4e0916551ca4f6464144633cde8f56bb17a460590b25a08d117616703b4b5699838cdde669dc0795fe625b492f6349a74bf6ae559347f0a3db20 SHA512 9417188604579bb4079bb0d0a610c96c1323a65099d2dc486175213276c8d983df00cd7aea74aa5b5fb1f61f973072d99a57581afb9ffb8a6ef293dfe143a740
+DIST sqlparse-0.5.5.tar.gz 120815 BLAKE2B 944dd6d5c2cab8e32b7f58156826c43e294615271cb1872742989d3d414c247618dc1ae40725152022742837ad2127ce928c13315dd536eb15851b009172fe20 SHA512 1c06211f7a3fbdde9f618885eaec03b7c28e2d8262ef02adab2095e5995aca5500c5b92398bdfbf79d20e2017542abb2358e105ba8a87afdce5834b73524b1cd
diff --git a/dev-python/sqlparse/sqlparse-0.5.5.ebuild b/dev-python/sqlparse/sqlparse-0.5.5.ebuild
new file mode 100644
index 000000000000..f0447efdb2c1
--- /dev/null
+++ b/dev-python/sqlparse/sqlparse-0.5.5.ebuild
@@ -0,0 +1,23 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{10..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A non-validating SQL parser module for Python"
+HOMEPAGE="
+ https://github.com/andialbrecht/sqlparse/
+ https://pypi.org/project/sqlparse/
+"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+distutils_enable_sphinx docs/source
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
diff --git a/dev-python/testtools/Manifest b/dev-python/testtools/Manifest
index 125906efe86c..3e829ec4b9cd 100644
--- a/dev-python/testtools/Manifest
+++ b/dev-python/testtools/Manifest
@@ -1,2 +1,3 @@
DIST testtools-2.7.2.tar.gz 201430 BLAKE2B d827d8e66c85908f4d16aa0762c3b0a454d374a0d23323fc3c123027f55f0e85f4fea9a24b5d1d0279266af2185f08abbcbbdcb785014b237df45a6448587611 SHA512 5815519d2b72d6b1e9f453c02793c70eb7d3b6580a211fb3708cd6121aed3c6100ceb1e35321f481a63b1f999ede030e43f1ae91d3621faf461c1908db767551
DIST testtools-2.8.0.tar.gz 201854 BLAKE2B 1ab2643e5ec7c9b56c01227a6fd8d8626cb8b8440c3353cf1a04af91476b139b0cf50895bcca177e6798b167414833fd59a5cede4e89698ea1f6c563ecce7b22 SHA512 409f67de2e307eca3fe266822bd6fa0b98dcccc8dcfc26a9e696f345a8f3339b6b4463a738f28fe9505e11585722d8d1d7a3aa2319727679adb172e4d105938e
+DIST testtools-2.8.2.tar.gz 206889 BLAKE2B 4c25e88d5602c00ab9079d5ef504648cf7f59ae63d8844d5bdbac2b215db64234925ee9ce89532ca71d681031fa4d656e1c60413f731aa135791b43edbbd6015 SHA512 2880b5e8c92e59e3d9cad7b6b64781763a549abf74672a46f0b3a33300793d91ea8453fc364d497ae7492095385309e6b150a712fea4529324cf4673b6e60aa7
diff --git a/dev-python/testtools/testtools-2.8.2.ebuild b/dev-python/testtools/testtools-2.8.2.ebuild
new file mode 100644
index 000000000000..0074f1647c5b
--- /dev/null
+++ b/dev-python/testtools/testtools-2.8.2.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{10..14} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Extensions to the Python standard library unit testing framework"
+HOMEPAGE="
+ https://github.com/testing-cabal/testtools/
+ https://pypi.org/project/testtools/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="
+ dev-python/hatch-vcs[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/fixtures-2.0.0[${PYTHON_USEDEP}]
+ dev-python/testscenarios[${PYTHON_USEDEP}]
+ dev-python/testresources[${PYTHON_USEDEP}]
+ dev-python/twisted[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx doc
+
+python_test() {
+ if ! has_version "dev-python/twisted[${PYTHON_USEDEP}]"; then
+ sed -i -e '/twistedsupport/d' tests/test_suite.py || die
+ fi
+
+ "${EPYTHON}" -m testtools.run tests.test_suite ||
+ die "tests failed under ${EPYTHON}"
+}
diff --git a/dev-python/typer/Manifest b/dev-python/typer/Manifest
index 1b59c21bc8c8..2572861b9e7d 100644
--- a/dev-python/typer/Manifest
+++ b/dev-python/typer/Manifest
@@ -1,4 +1,4 @@
-DIST typer-0.19.2.tar.gz 104755 BLAKE2B 7b520b22c2519a1501235a7697695a74b1908e7e628b5a836e2266746cebbc2bbb32ca2a1e6ce4771bd90290a31ed100b40c3d33e4e8f73416280373c18c73da SHA512 d283166b991a70751b0deefba4fd4cff044f9dc6ec60dd249554f7ddc5eb642cd484e207afa0741be584961c7c9b3292cfd83c26eeb94d50ea553a9ee79a6589
-DIST typer-0.19.2.tar.gz.provenance 9172 BLAKE2B e45fac477ae8acc3ef4b71337cacf4ffce57150ba7d0ceecdbcceb3e6cbca676df4c812f7d674b4662315763d46973074d41dfc1835a9f5d755e8a362b40d850 SHA512 0e1445f3f926f451e61a974044c1a9e71ff0b75d00bfb4552bef6e8774da12bb5cc10a01df97014d801f226e7fa1bc1ea493b8a00d18543e9cc3e8c43e7a1680
DIST typer-0.20.0.tar.gz 106492 BLAKE2B 2efc70beced0f7c29e2b31b997cafc27932048d845b902045eb444af14f290395556e10cc42d4ca33032e2f3763c4de03395e61e384b4977f81c846417e4b97d SHA512 441afc25267bb998674e63075a3ff1b3a2835601c4ea8b8693520037b132d34b96c8901fafea58938b7a7d19630c11a8f58ea58d5f36f53fdd9db38636296fe9
DIST typer-0.20.0.tar.gz.provenance 9125 BLAKE2B a4ad62d4913fd31b565e8ac9e6ad128df8789451341565ae4f4240276074dad4202d5468af3ec7f15e7cf5e099d01b4d357cf06a0294d1a6b28c392da82f66fb SHA512 4c351c9ae252290cfa83cd9ae70ea74f7be9cc3c97fc6bb306d7c678763a50bdda0c34eedbf81246f69be77f0ad1fd28de15730d348c7c0a947efc41db27f50b
+DIST typer-0.20.1.tar.gz 105968 BLAKE2B 40f354116d0116062568debadb3f403a1a36437e0c1f465d97489900e8f02e75d8d5acd83452a524a9f2e434008ab9d870a310691c98aa4305a9aa84f909ee57 SHA512 f77b35b648c020fa0ac748502c6ec2273a8952aba997e1363163c4f754e4c992fa183208bd82a5b533a3b415659340f77b757668494f47f39b8077e5e30c80e9
+DIST typer-0.20.1.tar.gz.provenance 9411 BLAKE2B 0249c5b7111a2fc631b1624e2573a96648561ef11e121e593f51c49bd59ec69fb15105f26688df8e479253c67ee654c4dbfaa0191e81b1c2e5e94cbdba91bd31 SHA512 cc88c2661ee8228e52bbb290a96cda36c61ca97e5deb9ed61d4aad73e21f56a1f8293f6f3affc688e241c206457534ba1fbb9c1e0ac63af6027def0c370dcacf
diff --git a/dev-python/typer/typer-0.19.2.ebuild b/dev-python/typer/typer-0.20.1.ebuild
index 6c3011a1ea35..6c3011a1ea35 100644
--- a/dev-python/typer/typer-0.19.2.ebuild
+++ b/dev-python/typer/typer-0.20.1.ebuild
diff --git a/dev-python/ytmusicapi/Manifest b/dev-python/ytmusicapi/Manifest
index 30f5575837cf..27ab981185b5 100644
--- a/dev-python/ytmusicapi/Manifest
+++ b/dev-python/ytmusicapi/Manifest
@@ -1,3 +1,4 @@
DIST ytmusicapi-1.11.1.tar.gz 317409 BLAKE2B 6047a8aa58a8dbc1320775a13e2fe410d0a4994fe7ffc7e7210183e736fd203c6a70207c3f4244526150cea1079f0203a594416b0e28d82c5d8584c89535d679 SHA512 eefaba7204fc1346e03a5e7c08ec48e17c2edf23db7cd2270ad7f380d9d49927a77fe7796fb1e9e38fb2b89d21da8d89b78a895e870082770a76833878e2355b
DIST ytmusicapi-1.11.2.tar.gz 319542 BLAKE2B 3c8e9c9eb55a1fd4e9493238190fbf6e4b565b16d201e352de41d120d29539ec9b8c72cf19515291c8214659ea7cf85790a43a9c9032c36dbd141b3f9733aa7d SHA512 0394fa9010ab624c4a1044fc2a492e5e146f115d7111ea3c9d82be286b233e8ebeb42c67cd6e4d95a82edbd73aade21a5b73c49e03df583e1f0bfa06a32d2b20
DIST ytmusicapi-1.11.3.tar.gz 319690 BLAKE2B ff07b28c6c2171f1da4131f2717c2f368ddf8db9f8bb9afdf623e0d64269d96c4a77532ddaf5a5b0f86794423b2e11d672be377fc26ffa6936b41497badcb57f SHA512 36820edfbbf8e4f2a81b619aed85ae9d3f02650d07c56e97c0a11ecc5ecaa04a07edb19db41a3f141447d351676242a8d1014f4e5e4a1f2411331eebcd89c294
+DIST ytmusicapi-1.11.4.tar.gz 412987 BLAKE2B 7fa6f10ed7da0261d4717c3ec0b58cb2d58f0eb0eafcb3bee0a7c09b9a1698561c760524c66d23563848a994e4487e1b8622e3e1989a55adb3da139bedde5b7f SHA512 2f3926daa35b9d2425a64f0fab1fe96259e24e0e8b10ef93b1992b594c5e05b788e5a32f8649c07e3ea29fa7c21e8193bb7b9adada777e9e56c8484e6005464c
diff --git a/dev-python/ytmusicapi/ytmusicapi-1.11.4.ebuild b/dev-python/ytmusicapi/ytmusicapi-1.11.4.ebuild
new file mode 100644
index 000000000000..ab02be3ebeff
--- /dev/null
+++ b/dev-python/ytmusicapi/ytmusicapi-1.11.4.ebuild
@@ -0,0 +1,24 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517="setuptools"
+PYTHON_COMPAT=( python3_{10..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Unofficial API for YouTube Music"
+HOMEPAGE="https://ytmusicapi.readthedocs.io/
+ https://github.com/sigma67/ytmusicapi/"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+RESTRICT="test"
+
+RDEPEND="
+ dev-python/requests[${PYTHON_USEDEP}]
+"
+
+distutils_enable_sphinx docs/source dev-python/sphinx-rtd-theme